summaryrefslogtreecommitdiff
path: root/VA
diff options
context:
space:
mode:
authorBirte Friesel <dfriesel@uos.de>2023-07-26 17:55:54 +0200
committerBirte Friesel <dfriesel@uos.de>2023-07-26 17:55:54 +0200
commitc4dae8a92fc6c9bfa48c5d5085a0dcc96fe9e645 (patch)
tree315f59f61a8e06ea4931f677141acb1435529aca /VA
parent16c8347eac0e9650570aadf958c8a04a594a9c35 (diff)
update config space
Diffstat (limited to 'VA')
-rwxr-xr-xVA/baselines/cpu/run.sh7
-rwxr-xr-xVA/run-paper-strong-rank.sh4
2 files changed, 6 insertions, 5 deletions
diff --git a/VA/baselines/cpu/run.sh b/VA/baselines/cpu/run.sh
index 1b3d1e0..dffc9f9 100755
--- a/VA/baselines/cpu/run.sh
+++ b/VA/baselines/cpu/run.sh
@@ -17,14 +17,15 @@ echo "Revision $(git describe --always)"
# default type: int32_t
for nr_threads in 88 64 44 1 2 4 6 8 12 16 20 24 32; do
- for i in 16777216 8388608 4194304 33554432 67108864; do
+ #for i in 16777216 8388608 4194304 33554432 67108864; do
#for dt in int8_t int16_t int32_t int64_t float double; do
for dt in int32_t; do
if make -B TYPE=${dt}; then
# -w 1 to make sure that target array (C) is allocated
- timeout -k 1m 30m ./va -i ${i} -w 1 -e 100 -t ${nr_threads} -x 1 || true
+ timeout -k 1m 30m ./va -w 1 -e 100 -t ${nr_threads} -x 1 || true
+ sleep 10
fi
done
- done
+ #done
done
) | tee "${HOST}-explore.txt"
diff --git a/VA/run-paper-strong-rank.sh b/VA/run-paper-strong-rank.sh
index 6ecaac4..a2e0bcf 100755
--- a/VA/run-paper-strong-rank.sh
+++ b/VA/run-paper-strong-rank.sh
@@ -14,8 +14,8 @@ echo "prim-benchmarks VA strong-rank (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 256 and 512 are not part of upstream config space
-for nr_dpus in 512 256 1 4 16 64; do
+# >64 are not part of upstream config space
+for nr_dpus in 128 1 4 16 64; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 verbose=1; then